org.apache.geode.cache.configuration

## Class CacheConfig.GatewayHub.Gateway

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewayHub.Gateway

- Enclosing class:
    CacheConfig.GatewayHub

      public static class CacheConfig.GatewayHub.Gateway
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="gateway-endpoint" maxOccurs="unbounded">
                   <complexType>
                     <complexContent>
                       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                         <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                         <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                         <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       </restriction>
                     </complexContent>
                   </complexType>
                 </element>
                 <element name="gateway-listener" maxOccurs="unbounded">
                   <complexType>
                     <complexContent>
                       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                         <sequence>
                           <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                           <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                         </sequence>
                       </restriction>
                     </complexContent>
                   </complexType>
                 </element>
               </choice>
               <element name="gateway-queue" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CacheConfig.GatewayHub.Gateway.GatewayEndpoint` Java class for anonymous complex type.
    `static class` | `CacheConfig.GatewayHub.Gateway.GatewayListener` Java class for anonymous complex type.
    `static class` | `CacheConfig.GatewayHub.Gateway.GatewayQueue` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `concurrencyLevel`
    `protected java.lang.Boolean` | `earlyAck`
    `protected java.util.List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint>` | `gatewayEndpoint`
    `protected java.util.List<CacheConfig.GatewayHub.Gateway.GatewayListener>` | `gatewayListener`
    `protected CacheConfig.GatewayHub.Gateway.GatewayQueue` | `gatewayQueue`
    `protected java.lang.String` | `id`
    `protected java.lang.String` | `orderPolicy`
    `protected java.lang.String` | `socketBufferSize`
    `protected java.lang.String` | `socketReadTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gateway()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConcurrencyLevel()` Gets the value of the concurrencyLevel property.
    `java.util.List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint>` | `getGatewayEndpoint()` Gets the value of the gatewayEndpoint property.
    `java.util.List<CacheConfig.GatewayHub.Gateway.GatewayListener>` | `getGatewayListener()` Gets the value of the gatewayListener property.
    `CacheConfig.GatewayHub.Gateway.GatewayQueue` | `getGatewayQueue()` Gets the value of the gatewayQueue property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.lang.String` | `getOrderPolicy()` Gets the value of the orderPolicy property.
    `java.lang.String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `java.lang.String` | `getSocketReadTimeout()` Gets the value of the socketReadTimeout property.
    `java.lang.Boolean` | `isEarlyAck()` Gets the value of the earlyAck property.
    `void` | `setConcurrencyLevel(java.lang.String value)` Sets the value of the concurrencyLevel property.
    `void` | `setEarlyAck(java.lang.Boolean value)` Sets the value of the earlyAck property.
    `void` | `setGatewayQueue(CacheConfig.GatewayHub.Gateway.GatewayQueue value)` Sets the value of the gatewayQueue property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setOrderPolicy(java.lang.String value)` Sets the value of the orderPolicy property.
    `void` | `setSocketBufferSize(java.lang.String value)` Sets the value of the socketBufferSize property.
    `void` | `setSocketReadTimeout(java.lang.String value)` Sets the value of the socketReadTimeout property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gatewayEndpoint

          protected java.util.List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint> gatewayEndpoint

    - #### gatewayListener

          protected java.util.List<CacheConfig.GatewayHub.Gateway.GatewayListener> gatewayListener

    - #### gatewayQueue

          protected CacheConfig.GatewayHub.Gateway.GatewayQueue gatewayQueue

    - #### earlyAck

          protected java.lang.Boolean earlyAck

    - #### id

          protected java.lang.String id

    - #### socketBufferSize

          protected java.lang.String socketBufferSize

    - #### socketReadTimeout

          protected java.lang.String socketReadTimeout

    - #### concurrencyLevel

          protected java.lang.String concurrencyLevel

    - #### orderPolicy

          protected java.lang.String orderPolicy

  - ### Constructor Detail

    - #### Gateway

          public Gateway()

  - ### Method Detail

    - #### getGatewayEndpoint

          public java.util.List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint> getGatewayEndpoint()

      Gets the value of the gatewayEndpoint property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayEndpoint property.

      For example, to add a new item, do as follows:

           getGatewayEndpoint().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheConfig.GatewayHub.Gateway.GatewayEndpoint`

    - #### getGatewayListener

          public java.util.List<CacheConfig.GatewayHub.Gateway.GatewayListener> getGatewayListener()

      Gets the value of the gatewayListener property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayListener property.

      For example, to add a new item, do as follows:

           getGatewayListener().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheConfig.GatewayHub.Gateway.GatewayListener`

    - #### getGatewayQueue

          public CacheConfig.GatewayHub.Gateway.GatewayQueue getGatewayQueue()

      Gets the value of the gatewayQueue property.
      Returns:
        possible object is `CacheConfig.GatewayHub.Gateway.GatewayQueue`

    - #### setGatewayQueue

          public void setGatewayQueue(CacheConfig.GatewayHub.Gateway.GatewayQueue value)

      Sets the value of the gatewayQueue property.
      Parameters:
        `value` - allowed object is `CacheConfig.GatewayHub.Gateway.GatewayQueue`

    - #### isEarlyAck

          public java.lang.Boolean isEarlyAck()

      Gets the value of the earlyAck property.
      Returns:
        possible object is `Boolean`

    - #### setEarlyAck

          public void setEarlyAck(java.lang.Boolean value)

      Sets the value of the earlyAck property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocketBufferSize

          public java.lang.String getSocketBufferSize()

      Gets the value of the socketBufferSize property.
      Returns:
        possible object is `String`

    - #### setSocketBufferSize

          public void setSocketBufferSize(java.lang.String value)

      Sets the value of the socketBufferSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocketReadTimeout

          public java.lang.String getSocketReadTimeout()

      Gets the value of the socketReadTimeout property.
      Returns:
        possible object is `String`

    - #### setSocketReadTimeout

          public void setSocketReadTimeout(java.lang.String value)

      Sets the value of the socketReadTimeout property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConcurrencyLevel

          public java.lang.String getConcurrencyLevel()

      Gets the value of the concurrencyLevel property.
      Returns:
        possible object is `String`

    - #### setConcurrencyLevel

          public void setConcurrencyLevel(java.lang.String value)

      Sets the value of the concurrencyLevel property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrderPolicy

          public java.lang.String getOrderPolicy()

      Gets the value of the orderPolicy property.
      Returns:
        possible object is `String`

    - #### setOrderPolicy

          public void setOrderPolicy(java.lang.String value)

      Sets the value of the orderPolicy property.
      Parameters:
        `value` - allowed object is `String`